Mac使用brew安装的MySQL版本切换

参考:https://www.jianshu.com/p/f1a5a680b464☆☆20180801更新:通过测试发现直接使用brew services start [email protected]即可切换至5.6版本使用,不需要brew unlink,是否可用请自行测试,测试前请备份好数据!!☆☆背景今天因为要写JavaEE大作业运行了一遍队友发过来的项目,却无法正常运行。经过一番追踪,发现是MySQL版本不对的问题,项目使用的MySQL版本是5.6(从使用的JDBC驱动就可以看出来)。本来想着更新JDBC驱动就可以解决,却发现Hibernate也要更新,还不清楚Hibernate支不支持8.0的MySQL,想了一下还是决定装多一个版本的MySQL吧。     阅读全文
  |  
Reborn's avatar
Reborn 7月 27, 2018

Mac通过brew安装的MySQL各种无法运行问题总结

一、解决 ERROR! The server quit without updating PID file (/usr/local/var/mysql/xxx.local.pid).参考:https://stackoverflow.com/a/36156848     阅读全文
  |  
Reborn's avatar
Reborn 7月 27, 2018

Mac上使用brew安装MySQL

参考:https://segmentfault.com/q/1010000000475470     阅读全文
  |  
Reborn's avatar
Reborn 7月 26, 2018